资产
用户资产查询(多币种)V2
POST
/
platformapi
/
chainup
/
open
/
ouser
/
v2
/
userAccounts
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/ouser/v2/userAccounts
{
"code": "0",
"msg": "Success",
"data": {
"accounts": [
{
"uid": "202113",
"balance": "1000",
"type": "202"
"coinSymbol": "USDT",
"showName": "USDT",
},
{
"uid": "202113",
"balance": "1000",
"type": "201"
"coinSymbol": "USDT",
"showName": "USDT",
}
]
}
}
//"Type" refers to the corresponding account type
type = 201(User: Normal Balance)
type = 202(User: Frozen)
type = 207(Lockup Account)
type = 208(Storage Lockup Account)
type = 209(Storage Account)
type = 210(OTC Merchant Margin Account)
type = 217(User: OTC Normal Balance)
type = 218(User: OTC Frozen)
type = 230(User: Lockup token account V2)
type = 221(User: Frozen token from Innovation trial zone subscription)
Query Parameters
appKey
string
required商家唯一appKey
Example: xxx_xxx
openId
string
收款用户的唯一id,开放平台授权给应用的用户唯一标识
userId
string
收款用户uid(与openid必须存在一个) ||同时存在优先取openid
coinSymbols
string
required货币类型:如 :BTC、USDT、BIKI、等;参考交易所内币种配置;多个币种用逗号分隔:例:"USDT,BTC,ETH"
Example: BTC
sign
string
required签名
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
返回code
Example: 0
msg
string
成功或失败提示信息
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/ouser/v2/userAccounts
{
"code": "0",
"msg": "Success",
"data": {
"accounts": [
{
"uid": "202113",
"balance": "1000",
"type": "202"
"coinSymbol": "USDT",
"showName": "USDT",
},
{
"uid": "202113",
"balance": "1000",
"type": "201"
"coinSymbol": "USDT",
"showName": "USDT",
}
]
}
}
//"Type" refers to the corresponding account type
type = 201(User: Normal Balance)
type = 202(User: Frozen)
type = 207(Lockup Account)
type = 208(Storage Lockup Account)
type = 209(Storage Account)
type = 210(OTC Merchant Margin Account)
type = 217(User: OTC Normal Balance)
type = 218(User: OTC Frozen)
type = 230(User: Lockup token account V2)
type = 221(User: Frozen token from Innovation trial zone subscription)